models/Camiones.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "camiones".
 *
 * @property int $codigo_camion
 * @property string|null $matricula
 * @property string|null $modelo_completo
 * @property int|null $kilometros
 * @property string|null $motor
 * @property string|null $estado
 * @property float|null $consumo
 * @property string|null $tipo_de_chasis
 * @property int|null $codigo_nave
 * @property int|null $revision
 *
 * @property Cargas[] $cargas
 * @property Choferes[] $choferes
 * @property Naves $codigoNave
 */
class Camiones extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
   
    public $nombre_completo;
    
    
    
    public static function tableName()
    {
        return 'camiones';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['kilometros', 'codigo_nave', 'revision'], 'integer'],
            [['kilometros'], 'required', 'message'=>'Debe introducir los kilómetros'],
            [['consumo'], 'number'],
            [['matricula'], 'string', 'max' => 7],
            [['matricula'], 'required', 'message'=>'Debe introducir una matrícula'],
            [['modelo_completo'], 'string', 'max' => 150],
            [['modelo_completo'], 'required', 'message'=>'Debe introducir el modelo'],
            [['motor', 'tipo_de_chasis'], 'string', 'max' => 100],
            [['estado'], 'string', 'max' => 50],
            [['estado'], 'required', 'message'=>'Debe seleccionar el estado'],
            [['codigo_nave'], 'exist', 'skipOnError' => true, 'targetClass' => Naves::className(), 'targetAttribute' => ['codigo_nave' => 'codigo_nave']],
            [['codigo_nave'], 'required', 'message'=>'Debe seleccionar una nave'],
            [['revision'], 'required', 'message'=>'Debe indicar si el camión necesita de mantenimiento'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'codigo_camion' => 'Código Camion',
            'matricula' => 'Matrícula',
            'modelo_completo' => 'Modelo Completo',
            'kilometros' => 'Kilómetros',
            'motor' => 'Motor',
            'estado' => 'Estado',
            'consumo' => 'Consumo',
            'tipo_de_chasis' => 'Tipo De Chasis',
            'codigo_nave' => 'Codigo Nave',
            'revision' => 'Revisión',
        ];
    }

    /**
     * Gets query for [[Cargas]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCargas()
    {
        return $this->hasMany(Cargas::className(), ['codigo_camion' => 'codigo_camion']);
    }

    /**
     * Gets query for [[Choferes]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getChoferes()
    {
        return $this->hasMany(Choferes::className(), ['codigo_camion' => 'codigo_camion']);
    }

    /**
     * Gets query for [[CodigoNave]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getCodigoNave()
    {
        return $this->hasOne(Naves::className(), ['codigo_nave' => 'codigo_nave']);
    }
}

controllers/FurgonetasController.php
<?php

namespace app\controllers;

use app\models\Furgonetas;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Naves;
/**
 * FurgonetasController implements the CRUD actions for Furgonetas model.
 */
class FurgonetasController extends Controller
{
    /**
     * @inheritDoc
     */
   
    
    public function actionConsultareparaciones(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Furgonetas::find()
                
                ->where("revision=0"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultadosrepara",[
           "resultadosrepara"=>$dataProvider,
           "campos"=>['matricula','modelo_completo','revision'],
           "titulo"=>"Mantenimiento Furgonetas",
           "enunciado"=>"Listado de furgonetas que necesitan de mantenimiento ",
           "sql"=>' '
       ]);
        
    }
    public function actionConsultakilometrajefurgonetas(){
        
      
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Furgonetas::find()
                
                ->distinct()
                ->orderBy("kilometros"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultadoskm",[
           "resultadoskm"=>$dataProvider,
           "campos"=>['matricula','modelo_completo', 'kilometros'],
           "titulo"=>"Kilometraje Furgonetas",
           "enunciado"=>"Listado de furgonetas ordenadas por su kilometraje ",
           "sql"=>' '
       ]);
        
        
    }
    
    
    public function actionConsultaconsumofurgonetas(){
        
      
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Furgonetas::find()
                
                ->distinct()
                ->orderBy("consumo"),
           'pagination'=>[
               'pageSize' =>10,
           ]
       ]);
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo', 'consumo'],
           "titulo"=>"Consumo Furgonetas",
           "enunciado"=>"Listado de furgonetas ordenadas por su consumo ",
           "sql"=>' '
       ]);
        
        
    }
    
    
    public function actionConsultadisponibilidadfurgonetas(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Furgonetas::find()
                
                ->where("estado='Disponible'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultadosdispo",[
           "resultadosdispo"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Furgonetas Disponibles",
           "enunciado"=>"Listado de camiones que actualmente se encuentran disponibles  ",
           "sql"=>' '
       ]);
        
    }
    public function actionConsultadisponfur(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Furgonetas::find()
                
                ->where("estado='Trabajando'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Furgonetas Trabajando",
           "enunciado"=>"Listado de furgonetas que actualmente se encuentran trabajando ",
           "sql"=>' '
       ]);
        
    }
    
    
    public function actionConsultadisponibilidadfurgonetas2(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Furgonetas::find()
                
                ->where("estado='Trabajando'"),
           'pagination'=>[
               'pageSize' =>5,
           ]
       ]);
        
        
        return $this->render("resultados",[
           "resultados"=>$dataProvider,
           "campos"=>['matricula','modelo_completo'],
           "titulo"=>"Furgonetas Trabajando",
           "enunciado"=>" ",
           "sql"=>' '
       ]);
        
    }
    
    
    
    
    
    
    
    
    
    
    
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Furgonetas models.
     * @return mixed
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Furgonetas::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'codigo_furgoneta' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Furgonetas model.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Furgonetas model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new Furgonetas();
        $modelnaves = Naves::find()->all();
        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->codigo_furgoneta]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
            'modelnaves' => $modelnaves,
        ]);
    }

    /**
     * Updates an existing Furgonetas model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);
         $modelnaves = Naves::find()->all();
        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_furgoneta]);
        }

        return $this->render('update', [
            'model' => $model,
            'modelnaves' => $modelnaves,
        ]);
    }
    
    public function actionUpdate1($id)
    {
        $model = $this->findModel($id);
         $modelnaves = Naves::find()->all();
        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->codigo_furgoneta]);
        }

        return $this->render('update_1', [
            'model' => $model,
            'modelnaves' => $modelnaves,
        ]);
    }

    /**
     * Deletes an existing Furgonetas model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Furgonetas model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return Furgonetas the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Furgonetas::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;
use yii\data\SqlDataProvider;
use app\models\Naves;

class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    
    
       public function actionMostrarnaves(){
        
        $dataProvider = new \yii\data\ActiveDataProvider([
           
           'query'=> \app\models\Naves::find()
                
       ]);
        
        
        return $this->render("naves",[
           "dataProvider"=>$dataProvider,
      
       ]);
        
    }
     
    
    
    
    
    
    
    
    
    
     
    
    
    
    
    
    
    
    
    
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }
    
    public function actionVistabusquedas()
    {
        return $this->render('vistabusquedas');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}

views/camiones/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;


/* @var $this yii\web\View */
/* @var $model app\models\Camiones */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="camiones-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'matricula')-> label ('Matrícula')->textInput(['placeholder' => 'Ejemplo: 5805GTZ', 'maxlength' => true]) ?>

    <?php
    
    $tipos = 
            [
             'Daf XF 105' => 'Daf XF 105',
             'Daf XG' => 'Daf XG',
             'Iveco Stralis Active Space' => 'Iveco Stralis Active Space',
             'Man TGX' => 'Man TGX',
             'Mercedes Benz Actros MegaSpace' => 'Mercedes Benz Actros MegaSpace',
             'Mercedes Benz New Actros' => 'Mercedes Benz New Actros',
             'Renault Magnum Excellence' => 'Renault Magnum Excellence',
             'Renault T High Sleeper' => 'Renault T High Sleeper',
             'Scania Streamline' => 'Scania Streamline',
             'Scania R' => 'Scania R',
             'Volvo FH16' => 'Volvo FH16',
             'Volvo FH Globetrotter XL' => 'Volvo FH Globetrotter XL',
             
                
             
                
            ];
    
            echo $form->field($model, 'modelo_completo')
               ->dropDownList($tipos,['prompt' => 'Seleccione una cabina'])
               -> label ('Seleccionar Modelo');
    ?>

    <?= $form->field($model, 'kilometros')-> label ('Kilómetros')->textInput(['placeholder' => 'Ejemplo : 145765']) ?>

    <?= $form->field($model, 'motor')->textInput(['placeholder' => ' Ejemplo: 423cv / 2620Nm']) ?>
    

    <?php
    
    $tipos = 
            [
             'Disponible' => 'Disponible',
             'Trabajando' => 'Trabajando',
                
             
                
            ];
    
            echo $form->field($model, 'estado')
               ->dropDownList($tipos,['prompt' => 'Seleccione un estado'])
               -> label ('Seleccionar Estado');
    ?>

    <?= $form->field($model, 'consumo')->textInput (['placeholder' => 'Ejemplo : 24.4']) ?>

    <?php
    
    $tipos = 
            [
             '4x2' => '4x2',
             '6x2' => '6x2',
             '6x4' => '6x4',
             '4x2 con trasera elevable' => '4x2 con trasera elevable',
             '6x2 con trasera elevable' => '6x2 con trasera elevable',
             '6x4 con trasera elevable' => '6x4 con trasera elevable',
             
             
                
            ];
    
            echo $form->field($model, 'tipo_de_chasis')
               ->dropDownList($tipos,['prompt' => 'Seleccione un tipo de chasis'])
               -> label ('Seleccionar Chasis');
    ?>

    
    
        <?php
       $mapnaves = ArrayHelper::map($modelnaves, 'codigo_nave', 'ubicacion');
               echo $form->field($model, 'codigo_nave')
               ->dropDownList($mapnaves,['prompt' => 'Seleccione una Nave'])
               -> label ('Nave');
        
        ?>

    <?php
    
    $revision = 
            [
             '1' => 'Mantenimiento Realizado',
             '0' => 'Mantenimiento no Realizado',
             
             
             
                
            ];
    
            echo $form->field($model, 'revision')
               ->dropDownList($revision,['prompt' => 'Seleccione si el camión necesita de algún tipo de revisión'])
               -> label ('Mantenimiento');
    ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/camiones/_form_1.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\ArrayHelper;


/* @var $this yii\web\View */
/* @var $model app\models\Camiones */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="camiones-form">

    <?php $form = ActiveForm::begin(); ?>
    
    <div class = invisible>
    
    

    <?= $form->field($model, 'matricula')-> label ('Matrícula')->textInput(['placeholder' => 'Ejemplo: 5805GTZ', 'maxlength' => true]) ?>

    <?php
    
    $tipos = 
            [
             'Daf XF 105' => 'Daf XF 105',
             'Daf XG' => 'Daf XG',
             'Iveco Stralis Active Space' => 'Iveco Stralis Active Space',
             'Man TGX' => 'Man TGX',
             'Mercedes Benz Actros MegaSpace' => 'Mercedes Benz Actros MegaSpace',
             'Mercedes Benz New Actros' => 'Mercedes Benz New Actros',
             'Renault Magnum Excellence' => 'Renault Magnum Excellence',
             'Renault T High Sleeper' => 'Renault T High Sleeper',
             'Scania Streamline' => 'Scania Streamline',
             'Scania R' => 'Scania R',
             'Volvo FH16' => 'Volvo FH16',
             'Volvo FH Globetrotter XL' => 'Volvo FH Globetrotter XL',
             
                
             
                
            ];
    
            echo $form->field($model, 'modelo_completo')
               ->dropDownList($tipos,['prompt' => 'Seleccione una cabina'])
               -> label ('Seleccionar Modelo');
    ?>

    <?= $form->field($model, 'kilometros')-> label ('Kilómetros')->textInput(['placeholder' => 'Ejemplo : 145765']) ?>

    <?= $form->field($model, 'motor')->textInput(['placeholder' => ' Ejemplo: 423cv / 2620Nm']) ?>
    

    <?php
    
    $tipos = 
            [
             'Disponible' => 'Disponible',
             'Trabajando' => 'Trabajando',
                
             
                
            ];
    
            echo $form->field($model, 'estado')
               ->dropDownList($tipos,['prompt' => 'Seleccione un estado'])
               -> label ('Seleccionar Estado');
    ?>

    <?= $form->field($model, 'consumo')->textInput (['placeholder' => 'Ejemplo : 24.4']) ?>

    <?php
    
    $tipos = 
            [
             '4x2' => '4x2',
             '6x2' => '6x2',
             '6x4' => '6x4',
             '4x2 con trasera elevable' => '4x2 con trasera elevable',
             '6x2 con trasera elevable' => '6x2 con trasera elevable',
             '6x4 con trasera elevable' => '6x4 con trasera elevable',
             
             
                
            ];
    
            echo $form->field($model, 'tipo_de_chasis')
               ->dropDownList($tipos,['prompt' => 'Seleccione un tipo de chasis'])
               -> label ('Seleccionar Chasis');
    ?>

    
    
        <?php
       $mapnaves = ArrayHelper::map($modelnaves, 'codigo_nave', 'ubicacion');
               echo $form->field($model, 'codigo_nave')
               ->dropDownList($mapnaves,['prompt' => 'Seleccione una Nave'])
               -> label ('Nave');
        
        ?>
    </div>
    <?php
    
    $revision = 
            [
             '1' => 'Mantenimiento Realizado',
             '0' => 'Mantenimiento no Realizado',
             
             
             
                
            ];
    
            echo $form->field($model, 'revision')
               ->dropDownList($revision,['prompt' => 'Seleccione si el camión necesita de algún tipo de revisión'])
               -> label ('Mantenimiento');
    ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/camiones/create.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Camiones */

$this->title = 'REGISTRO DE CAMIÓN';
$this->params['breadcrumbs'][] = ['label' => 'Camiones', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="camiones-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
        'modelnaves' => $modelnaves,
    ]) ?>

</div>

views/camiones/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'CAMIONES';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="camiones-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Registrar Camión', ['create'], ['class' => 'btn btn-success']) ?>
    </p>


    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
            'kilometros',
            'motor',
            //'estado',
            //'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>


</div>

views/camiones/resultados.php
<?php

use yii\grid\GridView;
use yii\helpers\Html;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
        <?= Html::a('Búsquedas', ['site/vistabusquedas'], ['class' => 'btn btn-success']) ?>
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
       
   'dataProvider' => $resultados,
   
   'columns' => $campos,'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
            //'codigo_nave',
//       [
//                    'attribute' => 'codigo_nave',
//                    'label' => 'Nave de Origen',
//                    'value' => $resultados->codigoNave['ubicacion']
//                      
//                    
//                ],
            'ubicacion',
            //'kilometros',
            //'motor',
            //'estado',
            //'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

//            ['class' => 'yii\grid\ActionColumn'],
        ],
   
           
           
]); ?>

views/camiones/resultadosconsumo.php
<?php

use yii\grid\GridView;
use yii\helpers\Html;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
        <?= Html::a('Búsquedas', ['site/vistabusquedas'], ['class' => 'btn btn-success']) ?>
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
       
   'dataProvider' => $resultadosconsumo,
   
   'columns' => $campos,'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
            //'codigo_nave',
//       [
//                    'attribute' => 'codigo_nave',
//                    'label' => 'Nave de Origen',
//                    'value' => $resultados->codigoNave['ubicacion']
//                      
//                    
//                ],
            //'ubicacion',
            //'kilometros',
            //'motor',
            //'estado',
            'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

//            ['class' => 'yii\grid\ActionColumn'],
        ],
   
           
           
]); ?>

views/camiones/resultadoskm.php
<?php

use yii\grid\GridView;
use yii\helpers\Html;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
        <?= Html::a('Búsquedas', ['site/vistabusquedas'], ['class' => 'btn btn-success']) ?>
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
       
   'dataProvider' => $resultadoskm,
   'columns' => $campos,'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
            
//       [
//                    'attribute' => 'ubicacion',
//                    'label' => 'Nave de Origen',
//                    'value' => $model->codigoNave['ubicacion']
//                      
//                    
//                ],
            'kilometros',
            //'motor',
            //'estado',
            //'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

           // ['class' => 'yii\grid\ActionColumn'],
        ],
   
           
           
]); ?>

views/camiones/resultadosrepara.php
<?php

use yii\grid\GridView;
use yii\helpers\Html;
?>

<div class="jumbotron">
    <h2><?=$titulo?></h2>
    
    <p class="lead"><?= $enunciado ?> </p>
    <div class="well">
    <?= Html::a('Furgonetas', ['furgonetas/consultareparaciones'], ['class' => 'btn btn-success']) ?>
    <?= $sql ?>
    </div>
    
</div>

<?=
   GridView::widget([
       
   'dataProvider' => $resultadosrepara,
   'columns' => $campos,'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

//            'codigo_camion',
            'matricula',
            'modelo_completo',
           // 'ubicacion',
//       [
//                    'attribute' => 'ubicacion',
//                    'label' => 'Nave de Origen',
//                    'value' => $model->codigoNave['ubicacion']
//                      
//                    
//                ],
            //'kilometros',
            //'motor',
            //'estado',
            //'consumo',
            //'tipo_de_chasis',
            //'codigo_nave',
            //'revision',

            
            [

        'class' => 'yii\grid\ActionColumn',

        'template' => '{update1} ',

        'buttons' => [
            'update1' => function ($url, $model) {
                return Html::a('REPARAR', $url);
            },
          

          
          'urlCreator' => function ($action, $model, $key, $index) {
            

            if ($action === 'update1') {
                $url ='index.php/camiones/update1?id='.$model->codigo_camion;
                return $url;
            }
            

          }
    ],

    ],
                    
        ],
   
           
           
]); ?>